Package twisted :: Package runner :: Module inetdconf :: Class ServicesConf |
[frames | no frames]

## Class ServicesConf

    SimpleConfFile --+
                     |
                    ServicesConf

/etc/services parser

Method Summary
| `__init__(self)`
| `parseFields(self, name, portAndProtocol, *aliases)`
Inherited from SimpleConfFile
| ``parseFile`(self, file)` Parse a configuration file
| ``parseLine`(self, line)` Override this.

Instance Variable Summary
| `self.services`: dict mapping service names to (port, protocol) tuples.

Class Variable Summary
`str` | `defaultFilename` = `'/etc/services'`
Inherited from SimpleConfFile
`str` | `commentChar` = `'#'`

Instance Variable Details

### self.services dict mapping service names to (port, protocol) tuples.

Class Variable Details

    ### defaultFilename Type: `str` Value:
        '/etc/services'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net